Page MenuHomeFreeBSD

x11/cinnamon: update to 5.4
ClosedPublic

Authored by vishwin on Dec 30 2022, 2:10 PM.
Tags
None
Referenced Files
F86749101: D37917.id114660.diff
Mon, Jun 24, 11:39 PM
Unknown Object (File)
Sat, Jun 22, 1:36 AM
Unknown Object (File)
Fri, Jun 21, 7:17 PM
Unknown Object (File)
Mon, Jun 3, 2:28 PM
Unknown Object (File)
May 24 2024, 6:38 PM
Unknown Object (File)
May 24 2024, 6:38 PM
Unknown Object (File)
May 24 2024, 6:38 PM
Unknown Object (File)
May 24 2024, 6:38 PM

Details

Summary

Includes all components and direct dependencies of similar vintage.

Note that 5.6 is now the latest upstream; this is more of a stopgap to have something in the tree before I can sit down to work on that.

Test Plan

Dogfooded for far far too long.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 50017
Build 46909: arc lint + arc unit

Event Timeline

use USES=vala:build for x11/xapp

Nice :)

misc/cinnamon-translations/Makefile
8

if cinnamon.mk is only used by cinnamon ports, you could think of doing

WWW?=https://github.com/linuxmint/${PORTNAME}

there.

x11/cinnamon-session/Makefile
31

^is this option useful?

misc/cinnamon-translations/Makefile
8

cinnamon.mk does not exist and I do not intend to create one.

lang/cjs: pull in commit from cjs to fix clang-15 build

This revision was not accepted when it landed; it landed in state Needs Review.Feb 25 2023, 8:53 PM
This revision was automatically updated to reflect the committed changes.

This update does not build x11-wm/muffin on 12.x.

See also bug 267245. That PR has an update muffin to 5.4.7, but highlights the 12.x bug (and maybe a fix, but I have not investigated how the proposed fix works).